Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

New iOS requirements from Apple. Is it Ok in case of using Qt?



  • Hello all!
    Just got the message from Apple about changing requirements for iOS applications:

    We greatly value the worldwide developer community, and appreciate your commitment to making a difference in people’s lives through the power of technology. To accommodate developers who may need additional time to update their existing apps on the App Store, the deadline for adhering to the requirements below has been extended to June 30, 2020.
    
        Apps for iPhone or iPad must be built with the iOS 13 SDK or later and use an Xcode storyboard to provide the app’s launch screen.
        iPhone apps must support all iPhone screens and all iPad apps must support all iPad screens.
        Apps for Apple Watch must be built with the watchOS 6 SDK or later.
        Apps that authenticate or set up user accounts must support Sign in with Apple if required by guideline 4.8 of the App Store Review Guidelines.
        Apps in the Kids category must be in full compliance with guideline 1.3 and guideline 5.1.4. of the App Store Review Guidelines.
        Apps using HTML 5 must be in full compliance with guideline 4.7 sections 4, 5, and 6 of the App Store Review Guidelines.
    
    Thank you for your continuing efforts to serve your users during this time. If you have any questions, contact us. 
    

    Is it OK in case of using Qt?


  • Moderators

    There should be no problems with adhering to these requirements, iOS 13 SDK is already supported and the guidelines are down to the application itself anyway. If somehow Qt is preventing it then you can file a bug report to get it investigated, or contact Qt support if you have a license.


Log in to reply